
TYPO3.Flow - Bug # 26903

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2011-05-19 Assigned To: Karsten Dambekalns
Updated: 2012-06-20 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.1
Subject: Flush Doctrine metadata cache with FLOW3 caches
Description

When the FLOW3 caches are flushed, the Doctrine caches should also be flushed, and when we compile new metadata as well.

Associated revisions
Revision 2f2e3fc0 - 2012-06-04 15:48 - Karsten Dambekalns

[BUGFIX] Purge Doctrine proxies that are no longer needed

With this change the proxy target directory is emptied before
Doctrine proxies are (re)built, removing outdated proxy classes.

This solves fatal errors when (proxied) classes are removed, and
thus can no longer be found when referenced from their heirs.

Change-Id: I38037c323411be698fb2391ce65ad2b7f95defbb
Fixes: #26903
Releases: 1.1, 1.2

Revision 13220e0e - 2012-06-12 16:12 - Karsten Dambekalns

[BUGFIX] Purge Doctrine proxies that are no longer needed

With this change the proxy target directory is emptied before
Doctrine proxies are (re)built, removing outdated proxy classes.

This solves fatal errors when (proxied) classes are removed, and
thus can no longer be found when referenced from their heirs.

Change-Id: I38037c323411be698fb2391ce65ad2b7f95defbb
Fixes: #26903
Releases: 1.1, 1.2

History
#1 - 2011-06-01 13:45 - Christopher Hlubek

One note about the Doctrine Cache: if APC is used and data / schema is changed from the command-line, the APC cache of the webserver cannot be
flushed.
#2 - 2011-06-25 12:26 - Karsten Dambekalns
- Target version set to 1230

Christopher Hlubek wrote:

if APC is used … from the command-line, the APC cache of the webserver cannot be flushed.

Thanks for the hint! No way?

#3 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#4 - 2012-03-14 22:21 - Karsten Dambekalns
- Has patch set to No

Metadata is a problem that is probably solved, but proxy classes stay around for too long. I deleted a package and the Doctrine-built proxy was not
removed…

#5 - 2012-03-14 22:25 - Karsten Dambekalns
- Target version set to 1.1

#6 - 2012-05-21 16:29 - Karsten Dambekalns
- Tracker changed from Feature to Bug
- Affected Flow version set to Git 1.1

#7 - 2012-05-25 09:39 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#8 - 2012-06-04 15:48 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11832

#9 - 2012-06-05 11:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2f2e3fc0d236a68485f6fc5c682c7d460549f0c6.

#10 - 2012-06-12 16:13 - Gerrit Code Review
- Status changed from Resolved to Under Review
Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11989

#11 - 2012-06-14 15:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:13220e0e23602d7a70e2ffdf1ebd1928a300d040.

#12 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
